For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList workbooks
      • POSTCreate a workbook
      • GETGet a workbook
      • DELDelete a workbook
      • PATCHUpdate a workbook
      • GETGet commits for a workbook
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceWorkbooks

Get a workbook

GET
https://api.x.flatfile.com/v1/workbooks/:workbookId
GET
/v1/workbooks/:workbookId
$curl https://api.x.flatfile.com/v1/workbooks/us_wb_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "us_wb_YOUR_ID",
4 "spaceId": "us_sp_YOUR_ID",
5 "environmentId": "us_env_YOUR_ID",
6 "updatedAt": "2021-01-01T00:00:00Z",
7 "createdAt": "2021-01-01T00:00:00Z",
8 "name": "My First Workbook",
9 "sheets": [
10 {
11 "id": "us_sh_YOUR_ID",
12 "workbookId": "us_wb_YOUR_ID",
13 "name": "Contacts",
14 "slug": "contacts",
15 "config": {
16 "name": "Contacts",
17 "fields": [
18 {
19 "type": "string",
20 "key": "firstName",
21 "label": "First Name"
22 },
23 {
24 "type": "string",
25 "key": "lastName",
26 "label": "Last Name"
27 },
28 {
29 "type": "string",
30 "key": "email",
31 "label": "Email"
32 }
33 ],
34 "slug": "contacts",
35 "mappingConfidenceThreshold": 0.5
36 },
37 "updatedAt": "2021-08-31T18:00:00Z",
38 "createdAt": "2021-08-31T18:00:00Z",
39 "metadata": {
40 "rowHeaders": [
41 4
42 ]
43 }
44 }
45 ],
46 "labels": [
47 "simple-demo"
48 ],
49 "actions": [
50 {
51 "label": "Submit",
52 "description": "Submit data to webhook.site",
53 "mode": "foreground",
54 "operation": "submitAction",
55 "primary": true
56 }
57 ],
58 "settings": {
59 "trackChanges": true
60 },
61 "expiredAt": "2021-01-01T00:00:00Z"
62 }
63}
Returns a single workbook
Was this page helpful?
Previous

Delete a workbook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

workbookIdstringRequired
ID of workbook to return

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
dataobject
A collection of one or more sheets

Errors

400
Bad Request Error
404
Not Found Error